/* saturn.h */

/* dfinitions des registres d'mulation */
typedef unsigned long regsat[2];

extern regsat regA, regB, regC, regD;
extern regsat regR0,regR1,regR2,regR3;
extern regsat regR4,regR5,regR6,regR7;
extern unsigned char Carry, Pointer, hwstatus, flagdec, retstkptr;
extern unsigned long regD0, regD1, regPC;
extern unsigned long retstk[64];
extern unsigned short status, input, output;
extern unsigned char timer_to;
extern int last_ticks;

/* table des segments mmoire */
extern unsigned short tab_seg[16];

/* il devices */
extern int nbdev;  /* number of devices */
extern int tabdev[32];

/* prototypes */
int far executeSaturn(int nb_instr, int nb_ticks);
/* int far executeShndwn(int nb_ticks); */


/* codes de retour de executeSaturn : */
#define OK 0
#define INVALID -1
#define PROTECT -2
#define UNCNFG 1
#define CONFIG 2
#define ID     3
#define SHUTDN 4
#define RESET  5
#define BUSCC  6
#define SREQ   7
#define RTNSXM 8

#define WRIL  10
#define RDIL  11
#define WRIL1 12
#define WRIL2 13
#define WRIL3 14

